Name:           adapta-gtk-theme
Version:        3.93.1.14
Release:        1%{?dist}
Summary:        An adaptive Gtk+ theme based on Material Design Guidelines

License:        GPLv2 and CC-BY-SA
URL:            https://github.com/adapta-project/%{name}
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  inkscape >= 0.91
BuildRequires:  parallel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  sassc    >= 3.3

Requires:       gnome-themes-standard
Requires:       google-noto-sans-fonts
Requires:       google-roboto-fonts
Requires:       gtk2-engines

%description
%{summary}.


%package        gedit
Summary:        Gedit style addon for %{name}

Requires:       %{name} == %{version}-%{release}
Requires:       gtksourceview3

%if 0%{?fedora} || 0%{?rhel} >= 8
Supplements:    (%{name} and gtksourceview3)
%endif

%description    gedit
Gedit style addon for %{name}.


%package        plank
Summary:        Plank dock theme addon for %{name}

Requires:       %{name} == %{version}-%{release}
%if 0%{?fedora}
Requires:       plank
%endif

%if 0%{?fedora} || 0%{?rhel} >= 8
Supplements:    (%{name} and plank)
%endif

%description    plank
Plank dock theme addon for %{name}.


%prep
%autosetup
%{_bindir}/autoreconf -fiv


%build
%configure \
  --disable-silent-rules \
  --enable-gtk_next      \
  --enable-plank         \
  --enable-telegram
%make_build


%install
%make_install
for f in COPYING LICENSE_CC_BY_SA4 README.md; do
  %{_bindir}/find %{buildroot} -type f -name "$f" -print -delete
done

# Add the gedit styles addon to the right location.
%{__mkdir} -p %{buildroot}%{_datadir}/gtksourceview-3.0/styles
%{__ln_s} %{_datadir}/themes/Adapta/gedit/adapta.xml \
  %{buildroot}%{_datadir}/gtksourceview-3.0/styles/adapta.xml

# Add the plank addon to the right location.
%{__mkdir} -p %{buildroot}%{_datadir}/plank/themes/Adapta
%{__ln_s} %{_datadir}/themes/Adapta/plank/dock.theme \
  %{buildroot}%{_datadir}/plank/themes/Adapta/dock.theme

%fdupes -s %{buildroot}%{_datadir}/themes


%files
%license COPYING LICENSE_CC_BY_SA4
%doc README.md
%{_datadir}/themes/Adapta*


%files          gedit
%doc extra/gedit/README.md
%{_datadir}/gtksourceview-3.0/styles/adapta.xml


%files          plank
%if 0%{?fedora}
%{_datadir}/plank/themes/Adapta
%else
%{_datadir}/plank
%endif


%changelog
* Wed May 09 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.1.14-1
- New upstream release (#1574053)

* Fri Apr 27 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.1.1-1
- New upstream release (#1571772)

* Wed Apr 25 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.280-1
- New upstream release (#1571772)

* Mon Apr 23 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.277-1
- New upstream release (#1565107)

* Fri Apr 06 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.237-1
- New upstream release (#1563879)

* Fri Apr 06 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.229-1
- New upstream release (#1563879)

* Mon Apr 02 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.225-1
- New upstream release (#1562555)

* Fri Mar 30 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.220-1
- New upstream release (#1562036)

* Sun Mar 25 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.200-1
- New upstream release (#1554156)

* Mon Mar 12 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.174-1
- New upstream release (#1554156)

* Sat Mar 03 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.153-1
- New upstream release (#1551163)

* Thu Mar 01 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.152-1
- New upstream release (#1548893)

* Tue Feb 13 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.119-1
- New upstream release (#1544740)

* Mon Feb 12 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.117-1
- New upstream release (#1542937)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.93.0.110-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.110-1
- New upstream release (#1542020)

* Thu Feb 01 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.103-1
- New upstream release (#1540388)

* Sun Jan 28 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.90-1
- New upstream release (#1539334)

* Fri Jan 26 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.86-1
- New upstream release (#1537086)

* Thu Jan 25 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.81-1
- New upstream release (#1537086)

* Fri Jan 19 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.66-1
- New upstream release (#1535991)

* Wed Jan 17 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.56-1
- New upstream release (#1535451)

* Tue Jan 16 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.49-1
- New upstream release (#1534976)

* Sun Jan 14 2018 Björn Esser <besser82@fedoraproject.org> - 3.93.0.43-1
- New upstream release (#1534246)

* Fri Dec 29 2017 Björn Esser <besser82@fedoraproject.org> - 3.92.2.63-1
- Initial import (#1529593)

* Fri Dec 29 2017 Björn Esser <besser82@fedoraproject.org> - 3.92.2.63-0.4
- Fix Summary and %%description for plank sub-package

* Fri Dec 29 2017 Björn Esser <besser82@fedoraproject.org> - 3.92.2.63-0.3
- Fix source url

* Thu Dec 28 2017 Björn Esser <besser82@fedoraproject.org> - 3.92.2.63-0.2
- Add sub-packages for gedit / xed and plank

* Thu Dec 28 2017 Björn Esser <besser82@fedoraproject.org> - 3.92.2.63-0.1
- Initial rpm release (#1529593)
